#ifndef MODELTABLEWIDGET_H
#define MODELTABLEWIDGET_H

#include <QWidget>
#include <QTreeView>
#include <QLineEdit>
#include <QComboBox>
#include <QToolBar>
#include <QSqlQueryModel>
#include "form/formdialog.h"
#include "form/abstractform.h"

class ModelTableWidget : public QWidget
{
    Q_OBJECT
public:
    explicit ModelTableWidget(QWidget *parent = 0);
void setModel(QSqlQueryModel * model);

signals:

public slots:
virtual void addRecord()=0;
virtual void editRecord()=0;
virtual void deleteRecord()=0;
void refresh();
private:
    QTreeView * mTreeView;
    QLineEdit * mLineEdit;
    QComboBox * mComboBox;
    QToolBar * mToolBar;

};

#endif // MODELTABLEWIDGET_H
